var time = getNowDatetime();

setTimeout(function() {

    var step_text_original = $("#input_step").val();
    if (step_text_original == null) return;
    $(".car_con_col").hide();
    var step = getStep();
    // 获取车辆类型
    var carType = getInputVal('car_type');
    console.log(step);
    console.log(carType);

    // 1 - 领导审核（暂时隐藏）
    if (step === 'leader_review') {
        $(".car_con_col").show();
    } else
    // 2 - 调度室审批
    if (step === 'dispatch_assess') {
        // 设置空闲车数量
        setCarFreeCon(carType);
    } else
    // 3 - 运输队审批
    if (step === 'fleet_select_car') {
        // 设置空闲车数量
        setCarFreeCon(carType);
        // 选择车辆
        setSelectCar();
    } else
    // 4 - 装车完成
    if(step === 'load_car_succ') {
        // 设置装车结束时间
        $("*[name='load_end_time']").attr('value', time);
        $("*[name='load_end_time']").removeAttr('onclick');
    } else
    // 5 - 运输队审核(车辆下放)
    if (step == 'fleet_assess_load_car_succ') {
        // load_end_use();
        $("*[name='down_time']").attr('value', time);
        getUpdateCarStateApi('卸车');
    } else
    // 6 - 使用完毕
    if (step == 'load_end_use') {
        $("*[name='actual_end_time']").attr('value', time);
        $("*[name='actual_end_time']").removeAttr('onclick');
    } else
    // 7 - 运输队审核
    if (step === 'fleet_assess_load_end_use') {
        setAssessSuccStep();
        submitAssessSucc();
    }

},100);


function getNowDatetime() {

    var date = new Date();
    var year = date.getFullYear();    //  返回的是年份
    var month = date.getMonth() + 1;  //  返回的月份上个月的月份，记得+1才是当月
    var dates = date.getDate();
    var h = date.getHours();
    var m = date.getMinutes();
    var s = date.getSeconds();

    if(month<10)month="0"+month;
    if(date<10)date="0"+date;
    var time=year + "-" + month + "-" + dates + ' ' + h + ':' + m + ':' + s;

    return time;
}

function getStep() {
    var step_text_original = $("#input_step").val();
    var step_text = step_text_original.split('(')[0];

    var carnameStep         = $("#btn_carname").length; // 选择车辆步骤
    var loadCarSuccStep     = $("*[name='load_end_time']").length; // 装车完成1
    var endUseStep          = $("*[name='end_time']").length; // 使用结束时间
    var parkingLocationStep = $("*[name='parking_location']").length; // 停车场
    var assesLocationStep   = $("*[name=assess_location]").length; // 审核车场
    // var assesTimeStep       = $("*[name=assess_time]").length; // 审核时间

    // console.log(assesLocationStep);

    if (step_text == '领导审核') {
        return 'leader_review';
    } else if (step_text == '调度室审批') {
        return 'dispatch_assess';
    } else if (step_text == '运输队审批' && carnameStep == 1) {
        return 'fleet_select_car';
    } else if (step_text == '装车完成' && loadCarSuccStep == 1) {
        return 'load_car_succ';
    // } else if (step_text == '运输队审核' && endUseStep == 1) {
    } else if (step_text == '运输下放') {
        return 'fleet_assess_load_car_succ';
    } else if (step_text == '使用完毕' && parkingLocationStep == 1) {
        return 'load_end_use';
    } else if (step_text == '运输队审核' && assesLocationStep >= 1) {
        return 'fleet_assess_load_end_use';
    }

}

function getInputVal(inputNameStr) {
    carType = $("*[name="+inputNameStr+"]").val();
    return carType;
}


// 操作函数
function setCarFreeCon(carType) {

    $(".car_con_col").show();
    var carTypeJson = "car_type="+carType;
    // 显示申请车辆类型剩余数量
    js.ajax(geturlact('getFreeCarCon'), carTypeJson, function (res) {
        if(res.success) {
            $('*[name=surplus]').val(res.data.car_free_con);
            $('*[name=car_con]').val(res.data.car_con);
        }
    }, 'get, json');
}

function setSelectCar() {
    // 替换原来onclick方法，增加参数
    $("#btn_carname").removeAttr('onclick');
    $("#btn_carname").click(function (){
        c.selectdata('carNum',false,'carname','申请车辆',1, carType);
    });

    // 选择车辆
    var carnameStep = $("#btn_carname").length; // 选择车辆步骤
    // 判断是否选择车辆步骤，不是选择车辆步骤，则用默认方式提交
    if (carnameStep > 0) {
        var isAgree;
        // 判断是否同意
        $("*[name='check_status']").click(function(){
            var agree = $(this).attr('value');
            if (agree == 1) {
                getUpdateCarStateApi('装车');
            } else {
                check(0);
            }
            c.changecheck_status(this);
        });
    }
}

function setAssessSuccStep() {

    // 设置默认值(出现控件时再设置)
    var input_parking_location = $("*[name=input_parking_location]").val();
    $("*[name=assess_car_location]").val(input_parking_location);

    $("*[name=assess_time]").attr('id','assess_time');
    var assess_time = $("*[name=assess_time]").length;
    var input_actual_end_time = $("*[name=input_actual_end_time]").val();
    if (assess_time && input_actual_end_time != null) {
        $("*[name=assess_time]").val(input_actual_end_time);
    }

    // 车场考核
    // $("*[name=assess_location]").val('否');
    $("*[name=assess_car_location]").attr('id','assess_car_location');
    $('#assess_car_location').change(function () {
        var sj = $("*[name=input_parking_location]").val();
        var sh = $(this).val();
        // if (sj != sh) {
        //     var sj = $("*[name=assess_location]").val('是');
        // } else {
        //     var sj = $("*[name=assess_location]").val('否');
        // }
    })

}

// 装车完成
function load_end_use() {
    // 判断是否同意
    // 同意需要先处理数据，再提交；不同意则用原始方法提交。
    $("*[name='check_status']").click(function(){
        var agree = $(this).attr('value');
        if (agree == 1) {
            getUpdateCarStateApi('使用中');
        } else {
            check(0);
        }
    });
}

function submitAssessSucc() {
    // 替换原提交方法，处理后再提交 check(0)
    // $("#check_btn").removeAttr('onclick');

    // 审核还车时间
    var car_location = getInputVal('input_parking_location'); // 车场
    var assess_car_location = getInputVal('assess_car_location');  // 审核车场

    var end_time = getInputVal('input_actual_end_time'); // 实际还车时间
    var assess_time = getInputVal('assess_time'); // 审核还车时间


    var time1 = new Date(end_time);
    var time2 = new Date(assess_time);

    // 时间差半小时考核
    var date = time2.getTime() - time1.getTime();
    var days    = date / 1000 / 60 / 60 / 24;
    var daysRound   = Math.floor(days);
    var hours    = date/ 1000 / 60 / 60 - (24 * daysRound);
    var hoursRound   = Math.floor(hours);
    var minutes   = date / 1000 /60 - (24 * 60 * daysRound) - (60 * hoursRound);

    // 超时
    if (minutes <= 30) {
        $('*[name=assess_timeout]').val('否');
    } else {
        $('*[name=assess_timeout]').val('是');
    }

    // 车场审核位置不同则考核
    // if (car_location == assess_car_location) {
    //     $('*[name=assess_location]').val('否');
    // } else {
    //     $('*[name=assess_location]').val('是');
    // }

    getUpdateCarStateApi('正常');
    // $("#check_btn").click(function () {
    //
    //     var carname = $("*[name='carname_success']").val();
    //     var data = "carname="+carname+"&carstate=正常";
    //     js.ajax(geturlact('updateCarState'), data, function (res) {
    //         res = JSON.parse(res);
    //         if (res.success) {
    //             check(0);
    //         } else {
    //             $('#msgview').text(res.msg);
    //         }
    //     }, 'get');
    // });

}

function getUpdateCarStateApi(carstate) {

    // 替换原提交方法，处理后再提交 check(0)
    $("#check_btn").removeAttr('onclick');

    $("#check_btn").click(function () {
        var carname = $("*[name='carname']").val();
        if (carname == null) {
            carname = $("*[name='carname_success']").val();
        }
        var data = "carname="+carname+"&carstate="+carstate;
        js.ajax(geturlact('updateCarState'), data, function (res) {
            res = JSON.parse(res);
            if (res.success) {
                check(0);
            } else {
                $('#msgview').text(res.msg);
            }
        }, 'get');
    });
}